## com.fasterxml.jackson.databind.ser.impl
Class SimpleBeanPropertyFilter.SerializeExceptFilter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
          com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter.SerializeExceptFilter

All Implemented Interfaces:
  BeanPropertyFilter

Enclosing class:
  SimpleBeanPropertyFilter

    public static class SimpleBeanPropertyFilter.SerializeExceptFilter

extends SimpleBeanPropertyFilter

Filter implementation which defaults to serializing all properties, except for ones explicitly listed to be filtered out.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter`

Field Summary
`protected Set<String>` `_propertiesToExclude` Set of property names to filter out.

Constructor Summary
`SimpleBeanPropertyFilter.SerializeExceptFilter(Set<String> properties)`

Method Summary
`protected boolean` `include(BeanPropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

Methods inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`depositSchemaProperty, depositSchemaProperty, filterOutAllExcept, filterOutAllExcept, serializeAllExcept, serializeAllExcept, serializeAsField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propertiesToExclude

    protected final Set<String> _propertiesToExclude

  Set of property names to filter out.

Constructor Detail

### SimpleBeanPropertyFilter.SerializeExceptFilter

    public SimpleBeanPropertyFilter.SerializeExceptFilter(Set<String> properties)

Method Detail

### include

    protected boolean include(BeanPropertyWriter writer)

  Description copied from class: `SimpleBeanPropertyFilter`
  Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

  Specified by:
    `include` in class `SimpleBeanPropertyFilter`

Copyright © 2012 FasterXML. All Rights Reserved.